import cv2
import numpy as np

from threading import Thread, Timer

# TODO: GROT
import time
import random

class Engine(object):
    def __init__(self):
        self.thread = Thread(target=self.run, name = "JunkVision Engine")
        self.perspective = np.array(
            [[  1.33036171e+00,   3.18020707e-01,  -1.38751879e+02],
             [ -1.71116647e-01,   1.55350072e+00,  -8.06609130e+00],
             [ -3.52454848e-04,   1.09892154e-03,   1.00000000e+00]]
        )
        self.areas = [(107, 68, 282, 209),
                      (313, 67, 493, 308),
                      (316, 323, 489, 475),
                      (105, 209, 288, 476)]

    def start(self):
        self.thread.start()
        self.thread.join()

    def run(self):
        pass

    def get_image(self, area_id):
        return open("D:/obrazek.jpg", "rb").read()

    def get_areas(self):
        return self.areas

    def get_movement_time(self, area_id):
        return time.time()

    def get_percent_mess(self, area_id):
        return random.random() * 100